sound = {}

function sound:load()
	self.sound = {}
	self.sound["swish"] = love.audio.newSource("src/sound/swish.ogg", "static")
	self.sound["tick"] = love.audio.newSource("src/sound/tick.ogg", "static")
	self.sound["drag"] = love.audio.newSource("src/sound/drag.ogg", "static")
	self.sound["target"] = love.audio.newSource("src/sound/target.ogg", "static")
	self.sound["win"] = love.audio.newSource("src/sound/win.ogg", "static")
	self.sound["song"] = love.audio.newSource("src/sound/song.ogg", "stream")
end

function sound:play(sound, volume, randomPitch, pitch, loop, rewind)
	pitch = pitch or 1
	loop = loop or false
	volume = volume or soundVolume
	randomPitch = randomPitch or false
	rewind = rewind or true
	if volume > 0 then
		if self.sound[sound] then
			if self.sound[sound]:isPlaying() then
				if rewind then
					self.sound[sound]:stop()
					self.sound[sound]:rewind()
				end
			end
			if randomPitch then
				self.sound[sound]:setPitch(1 + (math.random() * 0.2))
			else
				self.sound[sound]:setPitch(pitch)
			end
			self.sound[sound]:setLooping(loop)
			self.sound[sound]:setVolume(volume)
			if rewind then
				self.sound[sound]:play()
			end
		end
	end
end

function sound:stop(sound)
	if self.sound[sound] then
		self.sound[sound]:stop()
	end
end

function sound:isPlaying(sound)
	if self.sound[sound] then
		return self.sound[sound]:isPlaying()
	end
end

function sound:setVolume(sound, volume)
	if self.sound[sound] then
		self.sound[sound]:setVolume(volume)
	end
end