tile = {}

function tile:load()
	self.img = love.graphics.newImage("src/img/tile/tile_static.png")
	self.imgTileSize = 32
	self.tileCount = 5
	self.img:setFilter("nearest", "nearest")
	self.quad = {}
	for i=1, self.tileCount do
		self.quad[i] = love.graphics.newQuad(self.imgTileSize * (i-1), 0, self.imgTileSize, self.imgTileSize, self.img:getWidth(), self.img:getHeight())
	end

	--Animated tiles
	self.animImg = {}
	self.animFrames = 3
	self.animFrame = 1
	self.animFrameRate = 15
	self.animTick = 0
	local f = love.filesystem.getDirectoryItems("src/img/tile/anim")
	table.sort(f)
	for i,v in ipairs(f) do
		local s = v:find(".", 1, true)
		local name = v:sub(1, s-1)
		local ext = v:sub(s+1)
		if ext == "png" then
			self.animImg[#self.animImg + 1] = love.graphics.newImage("src/img/tile/anim/"..v)
		end
	end
	self.animTile = {}
	for i,v in ipairs(self.animImg) do
		v:setFilter("nearest", "nearest")
		self.animTile[i] = {quad = {}, direction == dir}
		for f=1, self.animFrames do
			self.animTile[i].quad[f] = love.graphics.newQuad(self.imgTileSize * (f-1), 0, self.imgTileSize, self.imgTileSize, v:getWidth(), v:getHeight())
		end
	end
end

function tile:update(dt)
	self.animTick = self.animTick + dt
	if self.animTick > (1 / self.animFrameRate) then
		self.animFrame = self.animFrame + 1
		if self.animFrame > self.animFrames then
			self.animFrame = 1
		end
		self.animTick = 0
	end
end

function tile:draw(tile, x, y, t)
	t = t or false
	if tile > 0 and tile <= #self.quad then
		love.graphics.draw(self.img, self.quad[tile], x, y, 0, game.tileSize / self.imgTileSize, game.tileSize / self.imgTileSize)
	elseif tile > 5 and tile < 10 then
		love.graphics.draw(self.animImg[tile - 5], self.animTile[tile - 5].quad[self.animFrame], x, y, 0, game.tileSize / self.imgTileSize, game.tileSize / self.imgTileSize)
	end
	if t then
		love.graphics.print(tile, x, y)
	end
end